# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global svnrev 11062

Name:           trac-peerreview-plugin
Version:        0.11
Release:        7.svn%{svnrev}%{?dist}
Summary:        Framework for realtime code review within Trac

Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/PeerReviewPlugin

# Produce via 'svn export -r11062 http://trac-hacks.org/svn/peerreviewplugin/0.11/ peerreviewplugin'
# tar -czvf trac-peerreview-plugin-0.11.svn11062.tar.gz peerreviewplugin
Source0:        trac-peerreview-plugin-%{version}.svn%{svnrev}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       trac
Requires:       mod_dav_svn
Requires:       python-clearsilver

%description
A Distributed Peer-Review Plug-in for TRAC Project
Management System.

%prep
%setup -q -n peerreviewplugin

unzip docs/UserGuide.zip
rm -rf UserGuide/.svn
rm -rf UserGuide/*/.svn

# rpmlint : line endings
for i in docs/COPYING.txt README.txt UserGuide/trac.css; do
  echo "Fixing wrong-file-end-of-line-encoding : $i"
  %{__sed} 's/\r//' $i > $i.rpmlint
  touch -r $i $i.rpmlint;
  %{__mv} $i.rpmlint $i
done


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog docs/COPYING.txt docs/Architecture.doc README.txt
%doc UserGuide/
%{python_sitelib}/*


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-7.svn11062
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6.svn11062
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 31 2011 Kevin Fenzi <kevin@scrye.com> - 0.11-5.svn11062
- Update to svn 11062. 
- Rework source checkout. 

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4.svn5357
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11-3.svn5357
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2.svn5357
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 14 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.11-1.svn5357
- Initial build
